
package com.tmerclub.cloud.biz.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * VO
 *
 * @author YXF
 * @date 2020-12-04 16:15:02
 */
public class AttachFileGroupVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    private Long attachFileGroupId;

    @Schema(description = "店铺id")
    private Long shopId;

    @Schema(description = "分组名称")
    private String name;

    @Schema(description = "1:图片 2:视频 3:文件")
    private Integer type;

    @Schema(description = "系统类型 1.商家端 2.平台端 3.供应商端")
    private Integer sysType;

    public Integer getSysType() {
        return sysType;
    }

    public void setSysType(Integer sysType) {
        this.sysType = sysType;
    }

    public Long getAttachFileGroupId() {
        return attachFileGroupId;
    }

    public void setAttachFileGroupId(Long attachFileGroupId) {
        this.attachFileGroupId = attachFileGroupId;
    }

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    @Override
    public String toString() {
        return "AttachFileGroupVO{" +
                "attachFileGroupId=" + attachFileGroupId +
                ", shopId=" + shopId +
                ", name='" + name + '\'' +
                ", type=" + type +
                ", sysType=" + sysType +
                '}';
    }
}
